import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

public class dot extends Actor
{
    private int n;
    private int a;
    private boolean ap; // auto play mode at start
    
    public void addedToWorld(World MyWorld) {
        ap = true;
        n = 1;
        a = 2;
    }
    public void autoPlay(){
        drawDots(n, a);
        n++;
        if (n > 1700) n = 0;
        Greenfoot.delay(3);
    }
    public void act() 
    {
        if (ap) {
            autoPlay();
        }
        if (Greenfoot.mouseClicked(null) || Greenfoot.isKeyDown("space")) {
            ap = false;
            drawDots(n, a);
            Greenfoot.delay(10);
        }
        
        if (Greenfoot.isKeyDown("+")) {
            n++;
            ap = false;
            drawDots(n, a);
            Greenfoot.delay(10);
        }
        if (Greenfoot.isKeyDown("-") && n > 1) {
            n--;
            ap = false;
            drawDots(n, a);
            Greenfoot.delay(10);
        }
        
        if (Greenfoot.isKeyDown("1")) {
            a = 1;
            drawDots(n, a);
            Greenfoot.delay(10);
        }
        if (Greenfoot.isKeyDown("2")) {
            a = 2;
            drawDots(n, a);
            Greenfoot.delay(10);
        }
        if (Greenfoot.isKeyDown("a")) {
            if (ap) ap = false;
            else ap = true;
            Greenfoot.delay(10);
        }
    }
    
    public void drawDots(int n, int a) {
        GreenfootImage bg = new GreenfootImage(600, 400);
        GreenfootImage dot = new GreenfootImage(10, 10);
        int c1, c2, c3;
        c1 =  Greenfoot.getRandomNumber(255);
        c2 =  Greenfoot.getRandomNumber(255);
        c3 =  Greenfoot.getRandomNumber(255);
        
        Color c = new Color(c1, c2, c3, 255);
        dot.setColor(c);
        dot.fillOval(0, 0, 7, 7);
        
        getWorld().showText(String.valueOf(n), 50, 100);
        
        for (int i = 0; i < n; i++) {
            int rx = Greenfoot.getRandomNumber(600);
            int ry = Greenfoot.getRandomNumber(400);
            if ( a == 1 ) bg.drawImage(dot, rx, getWorld().getHeight()/2);
            if ( a == 2 ) bg.drawImage(dot, rx, ry);
            setImage(bg);
        }
    }
}
